From 5674620e7e66dca603ef708c92256ac6086f3fcd Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven@rezic.de>
Date: Sat, 23 Dec 2023 20:49:50 +0100
Subject: [PATCH] fix skip count + avoid problems with wildcard DNS names
 (GH#53)

---
 t/valid.t | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/t/valid.t b/t/valid.t
index 966e164..1986bd1 100644
--- a/t/valid.t
+++ b/t/valid.t
@@ -128,11 +128,11 @@ ok(
 );
 
 SKIP: {
-  skip "your dns appears missing or failing to resolve", 3
+  skip "your dns appears missing or failing to resolve", 4
     unless eval { $v->address(-address=> 'devnull@pobox.com', -mxcheck => 1) };
 
   if (
-    $v->address(-address => 'blort@will-never-exist.pobox.com', -mxcheck => 1)
+    $v->address(-address => 'blort@will-never-exist.pobox.com.', -mxcheck => 1)
   ) {
     skip "your dns is lying to you; you must not use mxcheck", 3;
   }
@@ -143,7 +143,7 @@ SKIP: {
   );
 
   ok(
-    !$v->address(-address => 'blort@will-never-exist.pobox.com', -mxcheck => 1),
+    !$v->address(-address => 'blort@will-never-exist.pobox.com.', -mxcheck => 1),
     'blort@will-never-exist.pobox.com, with mxcheck, is invalid',
   ) or diag "was using $Email::Valid::DNS_Method for dns resolution";
 
-- 
2.11.0

